namespace MyOffice.Data.Repositories.Users;

using MyOffice.Data.Models.Users;

public interface IUserRepository
{
	Task<User?> GetUserAsync(Guid id);
	User? GetUser(Guid id);

	Task<User?> GetByUserUserNameAsync(string userName);
	User? GetByUserUserName(string userName);

	int AddUser(User user);
	int UpdateUser(User user);
}